package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

@ApiModel("获取指定菜谱发布详情分页列表")
public class MenuRecipeDetailV2VO {
   @ApiModelProperty("发布日期")
   private LocalDate applyDate;
   @ApiModelProperty("餐次列表")
   private List<MenuRecipeDetailV2IntervalVO> intervalList;

   public LocalDate getApplyDate() {
      return this.applyDate;
   }

   public List<MenuRecipeDetailV2IntervalVO> getIntervalList() {
      return this.intervalList;
   }

   public void setApplyDate(final LocalDate applyDate) {
      this.applyDate = applyDate;
   }

   public void setIntervalList(final List<MenuRecipeDetailV2IntervalVO> intervalList) {
      this.intervalList = intervalList;
   }
}
